
// Style for top banner design
.top-banner {
    position: relative;
    .carousel-item {
        // position: relative;
        &:after {
            content: "";
            position: absolute;
            left: 0;
            top: 0;
            right: 0;
            bottom: 0;
            background-color: rgba(0, 0, 0, 0.4);
            z-index: 9;
        }
        img {
            height: 60vh;
            min-height: 450px;
            object-fit: cover;
        }
    }
    .carousel-control-prev, .carousel-control-next {
        z-index: 99;
        i {font-size: 3rem;}
    }
    .search-form {
        position: absolute;
        left: 0;
        top: 0;
        right: 0;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        color: #fff;
        form {
            margin: 2rem 0 1.2rem;
            .input-group {justify-content: center;}
            .form-control {
                height: 56px;
                max-width: 300px;
                border-color: #eee;
            }
        }
        p {font-size: .9rem;}
        a {color: #fff;}
    }
}

// Style for services list design
.services-list {
    .image-wrapper {
        position: relative;
        display: block;
        overflow: hidden;
        height: 210px;
        img {
            display: block;
            height: 100%;
            object-fit: cover;
            border-radius: 3px;
            transition: 0.3s;
            filter: blur(1px);
            width: 100%;
            object-position: center;
        }
        p {
            font-size: 1.4rem;
            font-weight: bold;
            position: absolute;
            left: 0;
            right: 0;
            z-index: 999;
            padding: 1.25rem;
            margin: 0;
            transition: .3s;
            &.top {top: 0;}
            &.bottom {bottom: 0;}
            &.center {top: calc(50% - 25px);}
        }
        &:hover{
            img{
                transform:scale(1.2);
                filter: blur(0);
            }
            p {
                background: rgba($color: #000000, $alpha: 0.3);
                font-size:1.5rem;
                padding:2rem;
            }
        }
    }
}

// Style for venue categories Section
.venue-categories {
    .event-categories-list {
        li {
            padding-top: 1rem;
            padding-bottom: 1rem;
            height: 100%;
            a {
                height: 100%;
                display: flex;
                background: #f8f8f8;
                align-items: center;
                justify-content: center;
                flex-direction: column;
                padding: 1.25rem 2.25rem;
                color: #000;
                box-shadow: 0 1px 3px #ccc;
                text-align: center;
                &:hover {
                    text-decoration: none;
                    background-color: #f2f2f2;
                    .icon-wrapper {
                        background-color: #ff1113;
                        color: #fff;
                    }
                }
            }
            .icon-wrapper {
                display: flex;
                align-items: center;
                justify-content: center;
                width: 66px;
                height: 66px;
                border-radius: 50%;
                background-color: #d4d4d6;
                margin-bottom: 1rem;
                font-size: 2.2rem;
                transition: all .2s linear;
            }
            p {
                font-size: 1rem;
                margin: 0;
            }
        }
        &+.lSAction > a {
            font-size: 2rem;
            background: #fff;
            box-shadow: 0 1px 3px #ccc;
            height: 36px;
            &.lSPrev {left: 0;}
            &.lSNext {right: 0;}
        }
    }
}
#trending-venue-list {
    .card {
        img {display: block;}
        .text-content {
            padding: 1.25rem;
            a {
                display: block;
                font-size: 1.2rem;
                font-weight: bold;
                color: #000;
            }
            p {
                color: #999;
            }
            .reviews-icon {
                i {
                    &.icon-star, &.icon-star_half {color: #1fc6b5;}
                    &.icon-star_border {color: #999;}
                }
                span {
                    margin-left: 5px;
                    font-weight: bold;
                }
            }
        }
    }
}

// Style for Why Us Section
.why-us {
    background: #fcfcfc;
    .card {
        display: flex;
        height: 100%;
        border: 0;
        box-shadow: 0 2px 6px #ddd;
        padding: 1.25rem;
        flex-direction: row;
        .icon-wrap {
            width: 80px;
            height: 80px;
            border-radius: 50%;
            background: #ff1113;
            color: #fff;
            margin-right: 1rem;
            display: flex;
            justify-content: center;
            align-items: center;
            i {
                font-size: 2.4rem;
            }
        }
        .text-content {
            flex: 1;
            h3 {
                font-size: 1rem;
                font-weight: bold;
            }
            p {
                color: #999;
                margin: 0;
                text-align: justify;
                line-height: 22px;
            }
        }
    }
}

// style for subscribe offers
.subscribe-offers {
    background: url(../imgs/newsletter-bg.png) no-repeat;
    background-size: cover;
    background-position: top center;
    color: #fff;
    h2 {
        font-size: 3rem;
    }
    h3 {
        font-size: 1.2rem;
        line-height: 24px;
        margin-bottom: 2.4rem;
        margin-top: 1rem;
    }
    .input-group {
        border: 0;
        .form-control {
            border: 0;
            height: 50px;
            padding: 1.1rem;
            font-size: 1.2rem;
        }
        .btn {
            background: #000;
            color: #fff;
            text-transform: uppercase;
            padding-left: 2rem;
            padding-right: 2rem;
        }
    }
    .app-links {
        list-style: none;
        margin: 2rem 0 0;
        padding: 0;
        display: flex;
        li {
            margin-right: 1rem;
            img {}
        }
    }
}

// style for blog section
.our-blog {
    .img-wrapper {
        display: block;
        position: relative;
        border-radius: 5px;
        overflow: hidden;
        &:after {
            content: "";
            position: absolute;
            left: 0;
            bottom: 0;
            width: 100%;
            height: 120px;
            transition: all .2s linear;
            /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#000000+0,000000+100&0+0,0.65+100 */
            background: -moz-linear-gradient(top,  rgba(0,0,0,0) 0%, rgba(0,0,0,0.65) 100%); /* FF3.6-15 */
            background: -webkit-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 100%); /* Chrome10-25,Safari5.1-6 */
            background: linear-gradient(to bottom,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
            filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#a6000000',GradientType=0 ); /* IE6-9 */

        }
        &:hover {
            img {transform: scale(1.2);}
            h3 {color: #ff1113;}
            span {background: rgba(7, 142, 232, 1);}
        }
        img {
            transition: all .5s ease-in-out .1s;
            display: block;
            width: 100%;
        }
        h3 {
            position: absolute;
            left: 1rem;
            bottom: 1rem;
            color: #fff;
            z-index: 9;
            font-size: 1.2rem;
            right: 1rem;
            line-height: 24px;
            transition: all .2s linear;
        }
        span {
            position: absolute;
            right: 1rem;
            top: 1rem;
            background: rgba(7, 142, 232, 0.7);
            color: #ffffff;
            border-radius: 50%;
            display: flex;
            width: 80px;
            height: 80px;
            justify-content: center;
            align-items: center;
            text-align: center;
            font-weight: bold;
            transition: all .2s linear;
        }
    }
    .view-btn {
        background: #078ee8;
        color: #fff;
        border: 0;
        padding: 1rem 3rem;
        text-transform: uppercase;
        cursor: pointer;
        transition: all .2s linear;
        i {
            vertical-align: middle;
            font-size: 1.2rem;
            transition: all .2s linear;
            position: relative;
            left: 0;
        }
        &:hover {
            background: #036fb8;
            i {left: 10px;}
        }
    }
}


@media (max-width: 575.98px) { 
     .top-banner{
         .search-form{
             form{
                 .form-control{
                     width:100%;
                     margin-bottom:1rem;
                     max-width: initial;
                 }
             }
         }
     }
    .services-list {
        .image-wrapper {
            margin-bottom: 1.5rem;
        }
    }
    .why-us {
        .card {
            margin-bottom: 1.5rem;
            height: auto;
        }
    }
    .subscribe-offers{
        background-position: -15em 0em;
        h2{
            font-size: 2rem;
            margin-top: 1em;
        }
    }
    .our-blog{
        .img-wrapper{
            margin-bottom: 1.5rem;
            height: 300px;
            img{
                object-position: center;
                object-fit: cover;
                height: 100%;
            }
        }
    }
  }

  @media (max-width: 420px) { 
    .subscribe-offers{
        background-position: -25em 0em;
        h2{
            font-size: 1.5rem;
        }
    }

  }